/* Auto suggesting input */
.auto-suggest .suggestions {
    position: absolute;
    background-color: white;
    z-index: 30;
    box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
    border-radius: 5px;
    border: 1px solid rgb(203 213 225);
}

.auto-suggest .suggestions div {
    padding: 5px 10px 5px 10px;
    border-bottom: 1px solid rgb(148 163 184);
    transition-duration: 0.25s;
    cursor: default;
}
.auto-suggest .suggestions div:hover {
    background-color: rgb(226 232 240);
}

.auto-suggest .suggestions div .explain-text {
    font-size: 75%;
    color: rgb(148 163 184);
    margin-left: 10px;
}

.auto-suggest .mirror {
    display: none;
    width: fit-content;
}

/* Tags */
.tags-container {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    gap: 5px;
}

.tag {
    padding: 5px;
    font-size: 90%;
    border-radius: 3px;
    box-shadow: 0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1);
    width: fit-content;
    height: fit-content;
    border: 0.5px solid rgb(226 232 240);
}

/* Password display */
.password-display {
    display: flex;
    flex-direction: row;
}

.password-display pre.text code {
    cursor: pointer;
}

.password-display .show-btn {
    color: rgb(37 99 235);
    transition-duration: 0.25s;
    text-decoration: underline;
    margin-left: 5px;
    cursor: default;
}

.password-display .show-btn:hover {
    color: rgb(30 58 138);
}

/* Advanced config toggle button */
.advanced-config-toggle {
    font-weight: 500;
    cursor: pointer;
    width: fit-content;
    color: rgb(107 114 128);
}

.advanced-config-toggle:hover,
.advanced-config-toggle.active {
    color: #000000;
}

.advanced-config-toggle.active i.fa-solid.fa-caret-right {
    transform: rotate(90deg);
}
